Package ru.bitel.bgbilling.modules.subscription.common.bean

# Class SubscriptionType.Builder

java.lang.Object
ru.bitel.bgbilling.modules.subscription.common.bean.SubscriptionType.Builder

Enclosing class:
  `SubscriptionType`

public static class SubscriptionType.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SubscriptionType`
  `build()`
  `SubscriptionType.Builder`
  `setAvtoCommit(boolean avtoCommit)`
  `SubscriptionType.Builder`
  `setComment(String comment)`
  `SubscriptionType.Builder`
  `setConfig(String config)`
  `SubscriptionType.Builder`
  `setDelay(ValueUnit delay)`
  `SubscriptionType.Builder`
  `setDuration(ValueUnit duration)`
  `SubscriptionType.Builder`
  `setId(int value)`
  `SubscriptionType.Builder`
  `setPeriod(Period period)`
  `SubscriptionType.Builder`
  `setRound(ValueUnit round)`
  `SubscriptionType.Builder`
  `setServiceId(int serviceId)`
  `SubscriptionType.Builder`
  `setTitle(String title)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setId

    public SubscriptionType.Builder setId(int value)

  - ### setServiceId

    public SubscriptionType.Builder setServiceId(int serviceId)

  - ### setTitle

    public SubscriptionType.Builder setTitle(String title)

  - ### setComment

    public SubscriptionType.Builder setComment(String comment)

  - ### setPeriod

    public SubscriptionType.Builder setPeriod(Period period)

  - ### setDuration

    public SubscriptionType.Builder setDuration(ValueUnit duration)

  - ### setDelay

    public SubscriptionType.Builder setDelay(ValueUnit delay)

  - ### setRound

    public SubscriptionType.Builder setRound(ValueUnit round)

  - ### setAvtoCommit

    public SubscriptionType.Builder setAvtoCommit(boolean avtoCommit)

  - ### setConfig

    public SubscriptionType.Builder setConfig(String config)

  - ### build

    public SubscriptionType build()